Skip to main content
`Ctrl`+`K`

# PetscDSGetCohesive

Returns the flag indicating that a field is cohesive, meaning it is defined on the interior of a cohesive cell

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetCohesive(PetscDS ds, PetscInt f, PetscBool *isCohesive)

Not Collective

## Input Parameters

- ds - The `PetscDS` object

- f - The field index

## Output Parameter

- isCohesive - The flag

## See Also

`PetscDS`, `PetscDSSetCohesive()`, `PetscDSIsCohesive()`, `PetscDSCreate()`

## Level

developer

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages